<?php
$directory = new RecursiveDirectoryIterator(dirname(dirname(__FILE__)));
$fullTree = new RecursiveIteratorIterator($directory);
$phpFiles = new RegexIterator($fullTree, '/.+((?<!Test)+\.php$)/i', RecursiveRegexIterator::GET_MATCH);

foreach ($phpFiles as $key => $file)
{
  // Skip anything in the utilities folder as these are CLI tools.
  if (strpos($file[0], '/utilities/') !== false) continue;
  opcache_compile_file($file[0]);
}
?>
